View Issue Details

IDProjectCategoryView StatusLast Update
0015000CentOS-6glibcpublic2018-07-13 20:23
Reportereleftg 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version6.9 
Target VersionFixed in Version 
Summary0015000: glibc version lags behind its debuginfo counterpart
DescriptionRunning a yum update a few weeks ago resulted in upgrading glibc-debuginfo-common and glibc-debuginfo to a version (2.12-1.212.el6) that is greater than glibc's package version (2.12-1.209.el6_9.2).

This version mismatch between glibc and its debuginfo complement causes troubles in gdb which in turn is complaining about CRC mismatches throwing these warnings:

warning: the debug information found in "/usr/lib/debug/lib64/ld-2.12.so.debug" does not match "/lib64/ld-linux-x86-64.so.2" (CRC mismatch).
warning: the debug information found in "/usr/lib/debug/lib64/libc-2.12.so.debug" does not match "/lib64/libc.so.6" (CRC mismatch).
Steps To Reproduce1) Run a yum update:

Loaded plugins: auto-update-debuginfo, fastestmirror, refresh-packagekit, security
Setting up Update Process
Loading mirror speeds from cached hostfile
 * base: centos.quelquesmots.fr
 * extras: miroir.univ-paris13.fr
 * updates: miroir.univ-paris13.fr
base-debuginfo | 2.5 kB 00:00
Resolving Dependencies
--> Running transaction check
---> Package glibc-debuginfo.x86_64 0:2.12-1.209.el6_9.2 will be updated
---> Package glibc-debuginfo.x86_64 0:2.12-1.212.el6 will be an update
---> Package glibc-debuginfo-common.x86_64 0:2.12-1.209.el6_9.2 will be updated
---> Package glibc-debuginfo-common.x86_64 0:2.12-1.212.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================
 Package Arch Version Repository Size
=============================================================================================================================================================================================
Updating:
 glibc-debuginfo x86_64 2.12-1.212.el6 base-debuginfo 8.7 M
 glibc-debuginfo-common x86_64 2.12-1.212.el6 base-debuginfo 8.3 M


2) try debugging with gdb any program using the standard library.
Additional InformationIF the updated packages are removed
AND the debuginfo repository is disabled in /etc/yum.repos.d
AND the auto-update-debuginfo plugin is disabled in /etc/yum/pluginconf.d
AND the old packages are restored via debuginfo-install glibc-2.12-1.209.el6_9.2.x86_64
THEN everything goes back to normal and gdb stops complaining
Tagsdebuginfo, glibc

Activities

eleftg

eleftg

2018-07-09 10:19

reporter   ~0032214

The issue is now corrected. A few days ago, glibc was also upgraded to 2.12-1.212.el6
tigalch

tigalch

2018-07-13 20:23

manager   ~0032254

Resolved per reporters feedback

Issue History

Date Modified Username Field Change
2018-07-02 11:39 eleftg New Issue
2018-07-02 11:39 eleftg Tag Attached: glibc debuginfo
2018-07-02 11:41 eleftg Tag Detached: glibc debuginfo
2018-07-02 11:41 eleftg Tag Attached: glibc
2018-07-02 11:52 eleftg Tag Attached: debuginfo
2018-07-09 10:19 eleftg Note Added: 0032214
2018-07-13 20:23 tigalch Status new => resolved
2018-07-13 20:23 tigalch Resolution open => fixed
2018-07-13 20:23 tigalch Note Added: 0032254